Bug 829275 - ovirt-engine-backend [Auto-Recovery]: Inconsistent and confusing storage domain statuses
ovirt-engine-backend [Auto-Recovery]: Inconsistent and confusing storage doma...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-config (Show other bugs)
3.1.0
x86_64 Linux
urgent Severity urgent
: ---
: 3.1.0
Assigned To: mkublin
vvyazmin@redhat.com
storage
: TestBlocker
: 788936 817538 (view as bug list)
Depends On:
Blocks: 812621 817538 817799
  Show dependency treegraph
 
Reported: 2012-06-06 07:14 EDT by Dafna Ron
Modified: 2016-02-10 11:46 EST (History)
14 users (show)

See Also:
Fixed In Version: SI6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 788936
Environment:
Last Closed: 2012-12-04 14:57:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dafna Ron 2012-06-06 07:14:44 EDT
this bug blocks Auto-Recovery tests since we auto recover domains which were changed into maintenance state by the user. 


++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
++ This bug was initially created as a clone of Bug #788936 +++

Created attachment 560500 [details]
engine.log

* If a non-master domain (including ISO and export) is deactivated by user, the domain goes to Maintenance status for a few seconds, and then goes to Inactive status.
* If a master data domain is deactivated by user, the domain goes into Maintenance status and doesn't go into Inactive status.
* These two statuses, Maintenance and Inactive, can co-exist in the same DC at the same time, even though they presumably mean the same thing.

--- Additional comment from dpaikov@redhat.com on 2012-02-09 08:16:59 EST ---

According to ofrenkel, the fact that the SD is moved by backend to Inactive status is a bug.

--- Additional comment from dron@redhat.com on 2012-06-06 07:06:33 EDT ---

this bug is a test blocker for the whole Auto-Recovery feature. 
moving this to urgent+blocker
Comment 1 mkublin 2012-06-07 07:30:26 EDT
Taking these , is blocking some my bugs
Comment 2 mkublin 2012-06-07 07:52:41 EDT
http://gerrit.ovirt.org/#/c/5130/,

the bug was not related to auto-recovery, these is a storage/infra bug.
Auto-recovery feature just expose a bug
Comment 3 mkublin 2012-06-10 08:08:09 EDT
*** Bug 817538 has been marked as a duplicate of this bug. ***
Comment 4 Yaniv Kaul 2012-06-12 03:22:59 EDT
Why is upstream BZ (https://bugzilla.redhat.com/show_bug.cgi?id=788936) in NEW state?
Comment 5 mkublin 2012-06-12 03:25:22 EDT
*** Bug 788936 has been marked as a duplicate of this bug. ***
Comment 6 mkublin 2012-06-12 03:26:23 EDT
Was not assigned to me, closed it.
Comment 7 Yaniv Kaul 2012-06-12 03:38:26 EDT
(In reply to comment #5)
> *** Bug 788936 has been marked as a duplicate of this bug. ***

Please do not dup a public upstream BZ over a non-public downstream BZ.
(fixed now).
Comment 8 Dafna Ron 2012-06-20 08:12:42 EDT
verified on si6. 
domains remain in maintenance

Note You need to log in before you can comment on or make changes to this bug.